@charset "UTF-8";

/* Tufte CSS styles */
html {
  font-size: 15px;
}

body {
  width: 87.5%;
  margin-left: auto;
  margin-right: auto;
  padding-inline-start: 12.5%;
  font-family:
    GentiumBookW, ETbookOT, et-book, Palatino, "Palatino Linotype",
    "Palatino LT STD", "Book Antiqua", Georgia, serif;
  background-color: white;
  color: black;
  max-width: 1400px;
  counter-reset: sidenote-counter;
}

h1 {
  font-weight: 400;
  margin-top: 4rem;
  margin-bottom: 1.5rem;
  font-size: 3.2rem;
  line-height: 1;
}

h2 {
  font-style: italic;
  font-weight: 400;
  /* margin-top: 2.1rem; */
  margin-top: 3rem;
  margin-bottom: 1.4rem;
  inset-inline-start: -1.1em;
  font-size: 2.2rem;
  line-height: 1;
}

h3 {
  font-style: italic;
  font-weight: 400;
  font-size: 1.7rem;
  margin-top: 2rem;
  margin-bottom: 1.4rem;
  line-height: 1;
}

hr {
  display: block;
  height: 1px;
  width: 55%;
  border: 0;
  border-top: 1px solid black;
  margin: 1em 0;
  padding: 0;
}

p.subtitle {
  font-style: italic;
  margin-top: 1rem;
  margin-bottom: 1rem;
  font-size: 1.8rem;
  display: block;
  line-height: 1;
}

/* .numeral { */
/*     font-family: et-book-roman-old-style; */
/* } */

.danger {
  color: red;
}

article {
  padding: 5rem 0rem;
}

section {
  padding-top: 1rem;
  padding-bottom: 1rem;
}

p,
dl,
ol,
ul,
table {
  font-size: 1.4rem;
  line-height: 2rem;
}

nav ol {
  font-size: 1.1rem;
  line-height: 1.3;
}

nav a {
  text-decoration: none;
}

nav > ol {
  padding-inline-start: 0em;
}
nav > ol ol {
  padding-inline-start: 1em;
}

p {
  margin-top: 1.4rem;
  margin-bottom: 1.4rem;
  padding-inline-start: 0;
  vertical-align: baseline;
}

/* Chapter Epigraphs */
div.epigraph {
  margin: 5em 0;
}

div.epigraph > blockquote {
  margin-top: 3em;
  margin-bottom: 3em;
}

div.epigraph > blockquote,
div.epigraph > blockquote > p {
  font-style: italic;
}

div.epigraph > blockquote > footer {
  font-style: normal;
}

div.epigraph > blockquote > footer > cite {
  font-style: italic;
}
/* end chapter epigraphs styles */

blockquote {
  font-size: 1.4rem;
}

blockquote p {
  width: 55%;
  margin-inline-end: 40px;
}

blockquote footer {
  width: 55%;
  font-size: 1.1rem;
  text-align: end;
}

section > p,
section > footer,
section > table,
section > .plike {
  width: 55%;
}

/* 50 + 5 == 55, to be the same width as paragraph */
section > dl,
section > ol,
section > ul {
  /* width: 50%; */
  /* https://github.com/edwardtufte/tufte-css/pull/171#issuecomment-3395089343 */
  width: calc(55% - 40px);
  -webkit-padding-start: 5%;
}

section > ul > li > pre > code {
  width: 100%;
}

dt:not(:first-child),
li:not(:first-child) {
  margin-top: 0.25rem;
}

figure {
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  max-width: 55%;
  -webkit-margin-start: 0;
  -webkit-margin-end: 0;
  margin: 0 0 3em 0;
}

figcaption {
  float: inline-end;
  clear: inline-end;
  margin-top: 0;
  margin-bottom: 0;
  font-size: 1.1rem;
  line-height: 1.6;
  vertical-align: baseline;
  position: relative;
  max-width: 40%;
}

figure.fullwidth figcaption {
  margin-inline-end: 24%;
}

a:link,
a:visited {
  color: inherit;
  text-underline-offset: 0.1em;
  text-decoration-thickness: 0.05em;
}

/* Sidenotes, margin notes, figures, captions */
img {
  max-width: 100%;
}

.sidenote,
.marginnote,
nav {
  float: inline-end;
  clear: inline-end;
  margin-inline-end: -60%;
  width: 50%;
  margin-top: 0.3rem;
  margin-bottom: 0;
  font-size: 1.1rem;
  line-height: 1.3;
  vertical-align: baseline;
  position: relative;
}

.sidenote-number {
  counter-increment: sidenote-counter;
}

.sidenote-number:after,
.sidenote:before {
  /* font-family: et-book-roman-old-style; */
  position: relative;
  vertical-align: baseline;
}

.sidenote-number:after {
  content: counter(sidenote-counter);
  font-size: 1rem;
  top: -0.5rem;
  inset-inline-start: 0.1rem;
}

.sidenote:before {
  content: counter(sidenote-counter) " ";
  font-size: 1rem;
  top: -0.5rem;
}

blockquote .sidenote,
blockquote .marginnote {
  margin-inline-end: -82%;
  min-width: 59%;
  text-align: start;
}

div.fullwidth,
table.fullwidth {
  width: 100%;
}

div.table-wrapper {
  overflow-x: auto;
  font-family: "Trebuchet MS", "Gill Sans", "Gill Sans MT", sans-serif;
}

.sans {
  font-family:
    "Alegreya Sans", "Gill Sans", "Gill Sans MT", Calibri, sans-serif;
  letter-spacing: 0.03em;
}

code,
pre > code {
  font-family:
    "Iosevka Web", Consolas, "Liberation Mono", Menlo, Courier, monospace;
  font-size: 1rem;
  line-height: 1.42;
  -webkit-text-size-adjust: 100%; /* Prevent adjustments of font size after orientation changes in iOS. See https://github.com/edwardtufte/tufte-css/issues/81#issuecomment-261953409 */
  direction: ltr !important;
}

.sans > code {
  font-size: 1.2rem;
}

h1 > code,
h2 > code,
h3 > code {
  font-size: 0.8em;
}

.marginnote > code,
.sidenote > code {
  font-size: 1rem;
}

pre > code {
  font-size: 0.9rem;
  width: 52.5%;
  margin-inline-start: 2.5%;
  overflow-x: auto;
  display: block;
}

pre.fullwidth > code {
  width: 90%;
}

.fullwidth {
  max-width: 90%;
  clear: both;
}

span.newthought {
  font-variant: small-caps;
  font-size: 1.2em;
}

input.margin-toggle {
  display: none;
}

label.sidenote-number {
  /* display: inline-block; */
  max-height: 2rem; /* should be less than or equal to paragraph line-height */
}

label.margin-toggle:not(.sidenote-number) {
  display: none;
}

.iframe-wrapper {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 */
  padding-top: 25px;
  height: 0;
}

.iframe-wrapper iframe {
  position: absolute;
  top: 0;
  inset-inline-start: 0;
  width: 100%;
  height: 100%;
}

@media (max-width: 760px) {
  body {
    width: 84%;
    padding-inline-start: 10%;
    padding-inline-end: 6%;
  }

  hr,
  section > p,
  section > footer,
  section > table {
    width: 100%;
  }

  pre > code {
    width: 97%;
  }

  section > dl,
  section > ol,
  section > ul {
    width: 90%;
  }

  figure {
    max-width: 90%;
  }

  figcaption,
  figure.fullwidth figcaption {
    margin-inline-end: 0%;
    max-width: none;
  }

  blockquote {
    margin-inline-start: 1.5em;
    margin-inline-end: 0em;
  }

  blockquote p,
  blockquote footer {
    width: 100%;
  }

  label.margin-toggle:not(.sidenote-number) {
    display: inline;
  }

  .sidenote,
  .marginnote,
  nav {
    display: none;
  }

  .margin-toggle:checked + .sidenote,
  .margin-toggle:checked + .marginnote {
    display: block;
    float: inline-start;
    inset-inline-start: 1rem;
    clear: both;
    width: 95%;
    margin: 1rem 2.5%;
    vertical-align: baseline;
    position: relative;
  }

  label {
    cursor: pointer;
  }

  div.table-wrapper,
  table {
    width: 85%;
  }

  img {
    width: 100%;
  }
}

.backlinklist p {
  text-indent: -1em;
  padding-inline-start: 1em;
  margin-top: 0px;
  margin-bottom: 0px;
}
.backlinklist {
  margin-bottom: 1em;
}

.backlinks {
  font-size: 0.75em;
}
.backlinks a {
  text-decoration: none;
}

#site-name {
  text-decoration: none;
  font-weight: bold;
}

/* https://github.com/edwardtufte/tufte-css/pull/171#issuecomment-3395089343 */
li .sidenote,
li .margin-note {
  /* it's so close lol */
  transform: translateX(4px);
}

.navbuttons {
  display: grid;
  grid-template-columns: auto auto auto auto auto auto;
  width: 55%;
  /* text-align: center; */
}
@media (max-width: 760px) {
  section > .navbuttons {
    width: 100%;
  }
}
.navbuttons button {
  font-family: inherit;
}
.navbuttons button:hover {
  border-color: black;
}
.navbuttons a {
  text-decoration: none;
}
.navbuttons button {
  background-color: transparent;
  border: none;
  border: 1px solid transparent;
}

.pages {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(16em, 1fr));
  gap: 1.5rem;
  max-width: 90%;
  clear: both;
  justify-items: center;
  text-align: center;
}
.page {
  display: inline-block;
  padding: 1.5rem;
  max-width: 100%;
  text-align: center;
  align-items: center;
}
.page img {
  border-radius: 1em;
}
/* Is this the right way to do it? */
.pages :hover {
  border-radius: 0.5em;
  outline: 2px solid black;
}

.pages div {
  pointer-events: none;
}

.l-akk {
  font-family: "Noto Sans Cuneiform";
  direction: ltr;
}
.l-ara {
  font-family: "Lateef";
  direction: rtl;
}
.l-ell,
.l-grc {
  font-family: "GentiumBookW";
  direction: ltr;
}
.l-san {
  font-family: "Vesper Libre";
  direction: ltr;
}

.section_number {
  margin-inline-end: 1em;
}

.maintoc ul li li {
  padding-inline-start: 2em;
}

@media (max-width: 760px) {
  ul {
    padding-inline-start: 1em;
  }
}

blockquote {
  border-inline-start: 1px solid lightgray;
  padding-inline-start: 20px;
  margin-inline-start: 20px;
}

.page-figure {
  border-radius: 0.5em;
}

td,
th {
  vertical-align: top;
}
